Bug Hunting Session
Bug 60450 - Printer list is missing its border in Print dialog
Summary: Printer list is missing its border in Print dialog
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: All All
: low trivial
Assignee: Jorendc
URL:
Whiteboard: BSA target:4.1.0 target:4.0.1
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-07 22:40 UTC by Zoltan Laszlo
Modified: 2013-02-11 08:43 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Zoltan Laszlo 2013-02-07 22:40:45 UTC
Problem description: There is no border for the list of printers in the Print... dialog

Steps to reproduce:
1. Open a document
2. Try to print (go to File->Print... or Ctrl+P, whatever)
3. You will a list of printers without a border.

Current behavior:

Expected behavior: there should be a border around the printer list

P. S. Please, make the bug report form to accept versions 4.0.0.2 rc or 4.0.0 release, or something. When I select version 4.0.0.2 rc, I keep getting the error message: There is no version named '4.0.0.3 rc' in the 'LibreOffice' product. 

              
Operating System: Windows 7
Version: 4.0.0.2 rc
Comment 1 Jorendc 2013-02-07 23:22:26 UTC
@Joel ->
(In reply to comment #0)
> P. S. Please, make the bug report form to accept versions 4.0.0.2 rc or
> 4.0.0 release, or something. When I select version 4.0.0.2 rc, I keep
> getting the error message: There is no version named '4.0.0.3 rc' in the
> 'LibreOffice' product.
Comment 2 Jorendc 2013-02-07 23:25:24 UTC
@Rob: ^^
Comment 3 Joel Madero 2013-02-07 23:26:26 UTC
4.0.0.2 works okay on my side from BSA, if you select 4.0.0.3 rc it'll fail, I'm working on this now. This should be fixed soon


Best,
Joel
Comment 4 Zoltan Laszlo 2013-02-07 23:37:24 UTC
The text

P. S. Please, make the bug report form to accept versions 4.0.0.2 rc or 4.0.0 release, or something. When I select version 4.0.0.2 rc, I keep getting the error message: There is no version named '4.0.0.3 rc' in the 'LibreOffice' product. 

Should read:

Please, make the bug report form to accept versions 4.0.0.3 rc or 4.0.0.3 release, or something. When I select version 4.0.0.3 rc,

etc.

It is quite late, I started mistyping. Sorry about that...
Comment 5 Jorendc 2013-02-08 00:02:31 UTC
I can confirm this using Linux Mint 14 x64 with LibreOffice 4.0.0.3 release.
Thanks for reporting!

Following [1] I mark this bug as 'trivial low'.

Kind regards,
Joren

[1]https://wiki.documentfoundation.org/images/0/06/Prioritizing_Bugs_Flowchart.jpg
Comment 6 Zoltan Laszlo 2013-02-08 08:20:07 UTC
The actual bug I reported was the missing border around the printer list in the Print dialogue. I hope it won't go unnoticed.

The bug of the bug report form was only a P. S. to the message.
Comment 7 Jorendc 2013-02-08 10:26:02 UTC
(In reply to comment #6)
> The actual bug I reported was the missing border around the printer list in
> the Print dialogue. I hope it won't go unnoticed.
> 
> The bug of the bug report form was only a P. S. to the message.

No no :), no problem. I'm sorry about that hijacking. I was going to sleep, and so do some developers working with our BSA ( = bug submission assistent). So I thought it'll be more efficient to 'ping' them in this bug report and make them aware of it in this way.

I'm  working on the border of the print dialog :), so I didn't lose the initial bug report.

I'm sorry about that and thanks for reporting,
Kind regards,
Joren
Comment 8 Caolán McNamara 2013-02-08 13:12:44 UTC
In glade that's the "printers" widget. There isn't a "show border" property, so what we can do is make use of our custom property in name hack, so...

see source/window/builder.cxx and

    else if (name == "GtkDrawingArea")
    {
        OString sBorder = extractCustomProperty(rMap);
        pWindow = new Window(pParent, sBorder.isEmpty() ? 0 : WB_BORDER);
    }

here we take the presence of ":border" at the end of the widget name to set WB_BORDER so if you go to 

    else if (name == "GtkTreeView")
    {
        WinBits nWinStyle = WB_LEFT|WB_VCENTER|WB_3DLOOK|WB_SIMPLEMODE;

and use OString sBorder = extractCustomProperty(rMap); and |= nWinStyle with WB_BORDER if its set and then change the name of the widget in the .ui file to printers:border it "should do the right thing"
Comment 9 Jorendc 2013-02-08 13:47:09 UTC
Thanks Caolan!

My patch: https://gerrit.libreoffice.org/#/c/2043/

I'm not sure I did it right:

else    {
               nWinStyle = WB_LEFT|WB_VCENTER|WB_3DLOOK|WB_SIMPLEMODE|WB_BORDER;
	}

Or do I only need WB_BORDER if border is setted?
Like:

else {
              nWinStyle = WB_BORDER;
     }

Thanks for your help Caolon. I do appreciate that!
Kind regards,
Joren
Comment 10 Not Assigned 2013-02-08 14:57:52 UTC
Joren De Cuyper committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f10ba07935951e6c74663a35de9a79b7d66beb37

resolve fdo#60450 - Printer list is missing its border in Print dialog



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Not Assigned 2013-02-11 08:43:25 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=03ca2a8fde19498e8c584c899877c7332204a082&h=libreoffice-4-0

resolve fdo#60450 - Printer list is missing its border in Print dialog


It will be available in LibreOffice 4.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.